Subject: A panel discussion with new faculty members" Announcement

From: Caltech Directory <[email-masked]>
Date: Mon, 12 Feb 2007 11:18:06 -0800

A panel discussion with new faculty members

Organized by the Caltech Project for Effective Teaching (CPET)

Prof. Smolke (ChE)
Prof. Dabiri (Ae/BE)
Prof. Refael (Physics)

How do new professors balance teaching duties with their research as
they start academic careers? Come hear new faculty members discuss their
experiences teaching at Caltech. Please bring any questions you may have
for the panelists.

Time: Tues. 2/20 @ 5:15 PM  (Refreshments provided beforehand)
Location: 101 Guggenheim
-- 
***********************************************
You are receiving this via the Personnel Directory database.  If you 
prefer receiving memos on paper, please email [email-masked] 
or drop a note to Directory 1-71.